Printago API
DELETE /v1/users/{userId}

Remove a user

Remove a user from your store. To remove the store owner, pass `transferOwnershipTo` with the ID of the member who becomes the new owner.

Requires: user.delete

Path Parameters

userId required
string
The user ID

Request Body

Optional ownership transfer when removing the owner

RemoveUserRequest
transferOwnershipTooptional
string
userIdrequired
string

Example Request

application/json
{
  "userId": "string",
  "transferOwnershipTo": "string"
}

Response Schema

Response
messagerequired
string
successrequired
boolean

Example Response

200 OK — application/json
{
  "success": true,
  "message": "string"
}